Bug 121290 - smbspool requires userid even when no specific userid is required by XP
smbspool requires userid even when no specific userid is required by XP
Status: CLOSED DUPLICATE of bug 104136
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-20 00:38 EDT by Nick Simicich
Modified: 2014-08-31 19:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-28 13:09:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nick Simicich 2004-04-20 00:38:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
I have a shared printer under Windows XP. I wanted to print on the
printer from Windows XP.  N specific userid is required to print on
the printer from XP (in fact, I am not sure how to set that up - I am
able to check "shared" or "not shared".

I reied setting up the printer with CUPS directly, using the "web"
interface, and I tried setting up the printer using
redhat-config-printer.  The smbspool command, used under the covers by
CUPS, produced the following error message and never allowed the file
to print:

NT_STATUS_ACCESS_DENIED



Version-Release number of selected component (if applicable):
samba-client-3.0.2-7.FC1

How reproducible:
Always

Steps to Reproduce:
1. Create a Windows XP system
2. Configure an attached printer
3. Try to print on the printer using 
    

Actual Results:  
In all cases, I was able to reduce the problem to what you see when
you use this command:

[root@quickdraw log]# smbspool smb://MAID/GATEWAY/HPOffice a b c d e
secure
failed tcon_X with NT_STATUS_ACCESS_DENIED
ERROR:  Connection failed with error NT_STATUS_ACCESS_DENIED
ERROR: Unable to connect to SAMBA host, will retry in 60 seconds...
[root@quickdraw log]#

I hit contol C to get out of the program - it would sit and retry once
a minute forever.

Changing the command as follows:

[root@quickdraw log]# smbspool smb://guest@MAID/GATEWAY/HPOffice a b c
d e secure

allows the command to work.  


Expected Results:  I expected the file to print.  I believe that there
is some incompatability between how smbspool hanles the case where no
specific userid and password is required by windows to access a
printer and the way Windows XP deals with the problem.

Additional info:

There is a similar issue when you try to mount shares using autofs. 
You have to specify a userid.  But between Win98 and XP, there were
some changes made on the windows side and suddenly I had to specify a
username when doing SMB access.

The system called "gateway" above is in the same workgroup (MAID) as
the Linux Box here, and it is on the same ethernet. It may interest
you to know that the guest account is disabled on that system - that
is, it has no guest account at all.

I was able to get the printer I configured via redhat-config-printer
to work simply by specifying a userid of guest in the appropriate
screen, without a password.  I was able to get the printer I added via
CUPS to print by specifying the userid in the smb URL.

It is possible that this could be fixed in CUPS or in CUPS and
redhat-config-printer instead of smbspool.  I did web searches and
noted that several people had asked this question in various lists and
forums, but I never saw it answered.
Comment 1 Nick Simicich 2004-04-20 01:38:20 EDT
I really searched in a lot of places to try and find this bug,
including googling and reading through many summaries and doing very
broad searches. I was doing an additional search to e-mail a couple of
the people who were complaining about this issue in various places on
the web when my searches found
http://rhn.redhat.com/errata/RHBA-2003-276.html and bug 104293 against
Redhat 9.

However, that bug claims that the bug should be fixed in
redhat-config-printer-0.6.75-1, and I am running
redhat-config-printer-0.6.79.5-1.  Either the patch fell off, or it
was reversed, or they changed XP in a way that makes samba break or
something.

I have also read through the errata. It could have been more specific,
I guess I believe that when no userid or password is needed by the
system for printing, that none need be specified. Looking at the man
page for smbspool makes it clear that it is legitimate to *not*
specify a userid or password in the URL.

Finally, any userid works equally well.  I reconfigured the printer to
use the userid zithead (which does not and never has existed on the
gateway system and also has no special meanings in contexts other than
the teenage acne sort), and the result was just as excellent as when I
used the userid guest.

[njs@quickdraw njs]$ rpm -q redhat-config-printer
redhat-config-printer-0.6.79.5-1
You have new mail in /var/spool/mail/njs
[njs@quickdraw njs]$ rpm -q cups
cups-1.1.19-13
You have new mail in /var/spool/mail/njs
[njs@quickdraw njs]$ rpm -q samba
samba-3.0.2-7.FC1

To me, this makes it clear that the bug is in samba, and not in
redhat-config-printer and CUPS.  I did find some bugs when I was doing
my research which indicated that different things might be done when a
userid was vs. was not specified on a command.  
Comment 2 Nick Simicich 2004-04-20 02:20:53 EDT
Then I found 104136.

This is probably an actual duplicate of that.  If you agree, close it
as a dup.
Comment 3 Matthew Miller 2006-07-11 13:32:52 EDT
Fedora Core 1 is maintained by the Fedora Legacy project for security updates
only. If this problem is a security issue, please reopen and reassign to the
Fedora Legacy product. If it is not a security issue and hasn't been resolved in
the current FC5 updates or in the FC6 test release, reopen and change the
version to match.

Thanks!

NOTE: Fedora Core 1 is reaching the final end of support even by the Legacy
project. After Fedora Core 6 Test 2 is released (currently scheduled for July
26th), there will be no more security updates for FC1. Please use these next two
weeks to upgrade any remaining FC1 systems to a current release.

Comment 4 John Thacker 2006-10-28 13:09:04 EDT

*** This bug has been marked as a duplicate of 104136 ***

Note You need to log in before you can comment on or make changes to this bug.